NNG_HTTP_SERVER_DEL_HANDLER(3http)

NAME
nng_http_server_del_handler - delete HTTP server handler

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    int nng_http_server_del_handler(nng_http_server *s, nng_http_handler *h);

DESCRIPTION

The nng_http_server_del_handler() removes the handler h from the server instance s.

Once a handler has been deleted from a server, it is the responsibility of the caller to dispose of the handler, or add it to another server instance.

RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

ERRORS

NNG_ENOENT
    Handler is not registered with server.

NNG_ENOTSUP
    HTTP not supported.

SEE ALSO

nng_http_handler_free(3http), nng_http_server_add_handler(3http), nng_strerror(3), nng(7)